import java.util.Scanner;

public class Palindrome {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Prośba o wpisanie łańcucha znaków
    System.out.print("Wpisz łańcuch znaków: ");
    String s = input.nextLine();

    // Indeks pierwszego znaku łańcucha
    int low = 0;

    // Indeks ostatniego znaku łańcucha
    int high = s.length() - 1;

    boolean isPalindrome = true;
    while (low < high) {
      if (s.charAt(low) != s.charAt(high)) {
        isPalindrome = false;
        break;
      }

      low++;
      high--;
    }

    if (isPalindrome)
      System.out.println(s + " jest palindromem");
    else
      System.out.println(s + " nie jest palindromem ");
  }
}
